corda / net.corda.node.services.messaging / ArtemisMessagingComponent / ServiceAddress / <init>

# <init>

`ServiceAddress(identity: CompositeKey)`

ServiceAddress implements MessageRecipientGroup. It holds a queue associated with a service advertised by zero or more nodes. Each advertising node has an associated consumer.

By sending to such an address Artemis will pick a consumer (uses Round Robin by default) and sends the message there. We use this to establish sessions involving service counterparties.

### Parameters

`identity` - The service identity's owning key.